> For the complete documentation index, see [llms.txt](https://docs.api.intratool.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.api.intratool.de/api-reference/filemanager.md).

# Filemanager

The intratool FileManager is an abstraction of the filesystem of our Cloud Storage.

When interacting with files in intratool, [FileManagerFiles](/api-reference/filemanager/filemanager-files.md) will give information on how to receive data and where to find it.

Both [FileManagerFiles](/api-reference/filemanager/filemanager-files.md) and [Directories](/api-reference/filemanager/filemanager-directories.md) represent paths on the filesystem.

## Additional ValueFilters

For `FileManager` routes there is a special [ValueFilter](/introduction/query-manipulation/value-filters.md) available called `matches_path` which enables you to filter fields by a given `path`. This is commonly used when you want to retrieve information for a specific [FilemanagerDirectory](/api-reference/filemanager/filemanager-directories.md) or [FilemanagerFile](/api-reference/filemanager/filemanager-files.md).

Example: `?filter[path][matches_path]=/Lorem-impsum/`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.api.intratool.de/api-reference/filemanager.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
